#include <Arduino.h>

#include <ArduinoJson.h>
#include <Bridge.h>
void setup() {
  // put your setup code here, to run once:
  Serial1.begin(115200);
  Bridge.begin();
}

void loop() {
  // put your main code here, to run repeatedly:
  if (Serial1.available()) {
    String json = Serial1.readStringUntil('|');
    StaticJsonDocument<200> doc;
    DeserializationError error = deserializeJson(doc, json);
    if (error) {
      Serial1.print(F("deserializeJson() failed: "));
      Serial1.println(error.f_str());
      return;
    }
    String mode = doc["mode"];
    Serial1.println(mode);
  }
}